#
# spec file for package libtool (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libtool
Copyright:    GPL
Group:        Development/Tools
Provides:     libtool
Autoreqprov:  on
Summary:      Tool to build "shared libraries"
Version:      1.4.1
Release:      16
URL:	      http://www.gnu.org/software/libtool
Source:       ftp://ftp.gnu.org/pub/gnu/libtool/libtool-%{version}.tar.gz
Patch:	      libtool-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
GNU libtool is a set of shell scripts to automatically configure
UNIX architectures to build shared libraries in generic fashion.

Authors:
--------
    Gordon Matzigkeit <gord@gnu.org>
    Ian Lance Taylor <ian@cygnus.com>

SuSE series: d

%prep
%setup
%patch

%build
# get the current config.guess & config.sub.
# -f: don't look at the file timestamps (they might be wrong due to patches)
%{?suse_update_config:%{suse_update_config -l -f}}
autoconf
cd libltdl
autoconf
cd ..
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --infodir=%{_infodir} --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README THANKS
/usr/bin/libtool
/usr/bin/libtoolize
/usr/include/ltdl.h
%{_libdir}/libltdl.a
%{_libdir}/libltdl.la
%{_libdir}/libltdl.so*
/usr/share/aclocal/*.m4
%doc %{_infodir}/libtool.info*
/usr/share/libtool

%changelog -n libtool
* Tue Sep 04 2001 - schwab@suse.de
- Update to libtool 1.4.1 (only portability fixes).
* Mon Jul 23 2001 - schwab@suse.de
- Use pass_all in AC_DEPLIBS_CHECK_METHOD for s390* and m68k.
* Tue Jun 12 2001 - schwab@suse.de
- Add URL.
- Install some docs.
* Mon Jun 11 2001 - olh@suse.de
- recognize ppc64
* Thu May 03 2001 - schwab@suse.de
- Update to libtool 1.4.
* Mon Feb 19 2001 - schwab@suse.de
- Fix use of suse_update_config macro.
* Mon Feb 19 2001 - ro@suse.de
- fix specfile for sparc64  (again)
* Thu Feb 15 2001 - fober@suse.de
- add suse_update_config (for the reason of 390 and the sake of the
  rest)
* Wed Sep 20 2000 - fober@suse.de
- s390: change deplibs_check_method back to file_magic (like 1.3.4)
* Mon Sep 04 2000 - nadvornik@suse.cz
- update to 1.3.5
* Fri May 12 2000 - schwab@suse.de
- Don't add libc to deplibs on Linux.
* Sat Apr 01 2000 - bk@suse.de
- updated config.sub and config.guess patches for s390
* Tue Mar 28 2000 - bk@suse.de
- patched config.sub and config.guess for s390
* Wed Mar 22 2000 - schwab@suse.de
- Fix linux -> linux-gnu transformation in ltconfig.
* Fri Feb 11 2000 - kukuk@suse.de
- Add patches from LinuxPPC reference sources
* Tue Jan 25 2000 - kukuk@suse.de
- Update to 1.3.4
- move /usr/info -> /usr/share/info
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - florian@suse.de
- update to version 1.3.3
* Sat Sep 26 1998 - ke@suse.de
- initial version: 1.2b.
